DESCRIPTION = "LXDE display manager"
SECTION = "x11"
DEPENDS = "gtk+"

SRC_URI = "${SOURCEFORGE_MIRROR}/lxde/${PN}-${PV}.tar.gz \
	file://missingAM_GLIB_GNU_GETTEXT.patch \
	file://configfiles.patch \
	file://lxdm.sh \
"

SRC_URI[md5sum] = "8da1cfc2be6dc9217c85a7cf51e1e821"
SRC_URI[sha256sum] = "9e0d0a5672fcf31a18de8178ce73eab1723d6ae7097dfe41e9fe2c46e180cf08"

inherit autotools

FILES_${PN} += ""

do_install_append() {
  install -d ${D}${sysconfdir}/init.d/
  install -m 0755 ${WORKDIR}/lxdm.sh ${D}${sysconfdir}/init.d/lxdm.sh
}

pkg_postinst_${PN} () {
#    # can't do this offline
#    if [ "x$D" != "x" ]; then
#        exit 1
#    fi

    # Register up as default dm
    mkdir -p ${sysconfdir}/X11/
    echo "${sbindir}/lxdm" > ${sysconfdir}/X11/default-display-manager

#    #add lxdm to inittab
#    echo "#start X display manager, added by lxdm ipk" >> /etc/inittab
#    echo "x:5:respawn:/usr/sbin/lxdm >& /dev/null" >> /etc/inittab

  update-rc.d lxdm.sh defaults 99
}
 
pkg_postrm_${PN} () {
    sed -i /lxdm/d ${sysconfdir}/X11/default-display-manager || true
#    #remove lxdm from inittab
#    sed -i -es,lxdm,, /etc/inittab

    update-rc.d -f lxdm.sh remove
}
