LICENSE = "GPL"
DESCRIPTION = "pcmanfm file manager"
SECTION = "x11"
PRIORITY = "optional"
DEPENDS = "libfm"
RDEPENDS = "libfm gtk+ menu-cache lxmenu-data dbus dbus-glib policykit-gnome libgsf shared-mime-info"
RRECOMMENDS_${PN} = "pmount-hal"
PR = "r2"

SRC_URI = "${SOURCEFORGE_MIRROR}/${PN}/${PN}-${PV}.tar.gz \
	   file://gnome-fs-directory.png \
	   file://gnome-fs-regular.png \
	   file://gnome-mime-text-plain.png \
	   file://emblem-symbolic-link.png \
	   "

inherit autotools pkgconfig

do_install_append () {
	install -d ${D}/${datadir}
	install -d ${D}/${datadir}/pixmaps/
	install -m 0644 ${WORKDIR}/*.png ${D}/${datadir}/pixmaps
}

#workaround to build the native xml-purge tool in the cross-compiling environment. compile directly and make will later on not rebuild with the cross compiler
do_compile_prepend () {
	cd ${S}/src
	touch xml_purge-xml-purge.o
	$BUILD_CC -I${STAGING_DIR}/${BUILD_SYS}/usr/include/glib-2.0 -I${STAGING_DIR}/${BUILD_SYS}/usr/lib/glib-2.0/include \
		  -L${STAGING_DIR}/${BUILD_SYS}/usr/lib/ -lglib-2.0 -o xml-purge xml-purge.c ;
}

FILES_${PN} += "${datadir}/pixmaps/*.png"
FILES_${PN} += "${sysconfdir}/xdg/*"

SRC_URI[md5sum] = "d34a3530a6c5dcd674d23021d71c3e95"
SRC_URI[sha256sum] = "f133c6f207f719d1fc69fe8bc07b2de6883c6937ffa87448df42e3b1a30e0298"
